For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
            • GETList Abandoned Cart Email Templates
            • POSTCreate Abandoned Cart Email Template
            • GETGet Email Template
            • PUTUpdate Email Template
            • DELDelete Email Template
            • GETGet Default Email Template
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentAbandoned Cart Emails

Create Abandoned Cart Email Template

POST
https://api.bigcommerce.com/stores/:store_hash/v3/marketing/abandoned-cart-emails
POST
/stores/:store_hash/v3/marketing/abandoned-cart-emails
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "is_active": true,
> "coupon_code": "FF11-22X4",
> "notify_at_minutes": 60,
> "template": {
> "subject": "Complete your purchase at {{ store.name }}",
> "body": "{{lang '\''hello_phrase'\'' }}<br>Complete your purchase <a href='\''{{ notification.checkout_link }}'\''>{{notification.checkout.link}}",
> "translations": [
> {
> "locale": "en",
> "keys": {
> "hello_phrase": "Welcome"
> }
> }
> ]
> }
>}'
1{
2 "data": {
3 "id": 1,
4 "notify_at_minutes": 60,
5 "coupon_code": "FF11-22X4",
6 "template": {
7 "subject": "'Complete your purchase at {{ store.name }}'",
8 "body": "'Complete your purchase <a href=\"{{ notification.checkout_link }}\">{{notification.checkout.link}}'",
9 "translations": [
10 {
11 "locale": "en",
12 "keys": {}
13 }
14 ]
15 },
16 "is_active": true,
17 "sent_num": 1
18 },
19 "meta": {}
20}
Create an Abandoned Cart Email template.
Was this page helpful?
Previous

List Abandoned Cart Email Templates

Next

Get Email Template

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | read-only | `store_v2_information_read_only`| | Information & Settings | modify | `store_v2_information` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-level data.

Request

This endpoint expects an object.
is_activebooleanOptional
coupon_codestringOptional
notify_at_minutesenumOptional
Describes when this email will be sent, in minutes. Only supports certain intervals described in the enum.
templateobjectOptional

Response

OK
dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.